import requests_cache
import wikidata.client

import datagraph.schemeld
import datagraph.wikidata_ext

datagraph.wikidata_ext.REQUEST_SESSION = requests_cache.CachedSession('output/testing')


def test_version():
    assert datagraph.__version__ is not None


def test_get_triples():
    client = wikidata.client.Client()

    EQV_PROPERTY = client.get('P1628')
    schema_root = 'https://schema.org/'
    schema_prop = 'image'

    triples_iter = datagraph.wikidata_ext.get_triples(
        client=client,
        predicate=EQV_PROPERTY,
        object=f'{schema_root}{schema_prop}',
    )
    assert triples_iter is not None
